import { defineComponent } from 'vue';
import styles from './index.module.less';
import logoBottom from '@common/assets/logo-bottom.png';
import qrcode from '@common/assets/qr-code.png';
import qrcode2 from '@common/assets/qr-code2.png';
import { Icon } from 'vant';

export default defineComponent({
  name: 'm-footer',
  setup() {
    return () => (
      <div class={styles.footer}>
        <img class={styles.bottomLogo} src={logoBottom} />

        <div class={styles.friendLink}>
          <div class={styles.link}>
            <p class={styles.linkTitle}>友情链接</p>
            <p class={styles.linkContent}>
              <a href="https://www.chnmusic.org/" target="_blank">
                <span class={styles.name}>中国音乐家协会</span>
                <Icon name="arrow" />
              </a>
              <a
                href="https://www.cnorch.com/leaderInfo/list?leaderType=2"
                target="_blank">
                <span class={styles.name}>中国音协管乐学会低音铜管</span>
                <Icon name="arrow" />
              </a>
            </p>
          </div>
        </div>

        <div class={[styles.friendLink, styles.friendCode]}>
          <div class={styles.link}>
            <p class={styles.linkTitle}>关注公众号</p>
            <p class={styles.linkContent2}>
              <div class={styles.logoUrl}>
                <img src={qrcode2} class="w100" />
              </div>
              <div class={styles.logoUrl}>
                <img src={qrcode} class="w100" />
              </div>
            </p>
          </div>
        </div>

        <div class={styles.copyright}>
          <a target="_blank" href="https://beian.miit.gov.cn/">
            网站备案：鄂ICP备2021020787号-1
          </a>
          <br />
          增值电信业务经营许可证：鄂B2-20231246
          <br />
          教育移动互联网应用备案：教APP备4200224号
          <br />
          网络安全等级保护备案号：42010043158-24001 <br />
          Copyright © 2024 武汉酷乐秀网络科技有限公司 版权所有
          {/* <br />
          Copyright © 2022 武汉酷乐秀网络科技有限公司 <br />
          All Rights Reserved.鄂ICP备2021020787号-1 */}
        </div>
      </div>
    );
  }
});
