import { defineComponent } from 'vue';
import styles from './index.module.less';
import img1 from '../images/piano-room/img1.png';
import img2 from '../images/piano-room/img2.png';
import img3 from '../images/piano-room/img3.png';
import img4 from '../images/piano-room/img4.png';
import img5 from '../images/piano-room/img5.png';
import img6 from '../images/piano-room/img6.png';

export default defineComponent({
  name: 'piano-room',
  setup() {
    return () => (
      <div class={styles.pianoRoom}>
        <div class={styles.section1}>
          <div class={[styles.title]}>
            <span>多人上课，还可以独奏哦！</span>
          </div>
          <div class={styles.content}>
            与一般的网课不同，云酷琴房的“音乐演奏模式”，高度还原乐器演奏和管乐学习的现场感，多人课堂在线传播稳定流畅。最大支持1对7人的多人在线教学。当然一对一的模式，更是不在话下了。
          </div>

          <img src={img1} class={'w100'} />

          <div class={[styles.content, styles.content1]}>
            学员和老师可以即时通讯，互动交流更便捷。上课时间提前预约，既可以合理利用学员的碎片化时间，还能够让学员平时学习管乐薄弱的地方得到老师的直接辅导，全程教学记录，学习成果清晰可见。
          </div>

          <img src={img2} class={'w100'} />
        </div>

        <div class={styles.section2}>
          <div class={[styles.title]}>
            <span>
              高保真，回声消除
              <br />
              给你一双灵敏的耳朵
            </span>
          </div>
          <div class={styles.content}>
            在线上教学中，老师能听到学员演奏中的问题，全靠“云酷琴房”的高保真技术。技术上做到了全频带音频编码、智能降噪、音质高度还原。
          </div>
          <img src={img3} class={'w100'} />
          <div class={[styles.content, styles.content1]}>
            针对管乐不同的声部做了不同的解析，保证我们的音频还原度为95％以上，基本与线下无异，安卓设备和ios设备有不同的模式，安卓为“音乐模式”，ios为“长音模式”。
          </div>
          <img src={img4} class={'w100'} />
          <div class={[styles.content, styles.content2]}>
            软件设计中也做到了回声消除，5等级、自适应噪声抑制；专有长音演奏保真算法。
          </div>
        </div>

        <div class={styles.section3}>
          <div class={[styles.title]}>
            <span>低延迟，师生互动更流畅！</span>
          </div>
          <div class={styles.content}>
            在低延迟的教学环境中，师生沟通更加顺畅，还原面对面教学体验
          </div>

          <img src={img5} class={'w100'} />
        </div>

        <div class={styles.section4}>
          <div class={[styles.title]}>
            <span>界面方便，多维度教学</span>
          </div>
          <div class={styles.content}>
            软件中具备白板互动教学，内置白板书写工具；自有教学资源共享教学；本地曲谱上传，能够为学员提供线下教学体验不到的便利。
          </div>
          <img src={img6} class={'w100'} />
        </div>
      </div>
    );
  }
});
